Bug 171102 - uuid of vfat partition not recognized by hal
uuid of vfat partition not recognized by hal
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-18 04:57 EDT by Noa Resare
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 15:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my .fdi file that gives correct non-latin filenames on vfat partitions (417 bytes, text/plain)
2005-12-02 05:22 EST, Noa Resare
no flags Details

  None (edit)
Description Noa Resare 2005-10-18 04:57:34 EDT
Description of problem:

I have an portable music player (Jens Of Sweden MP-400) that appears to my
system as an USB Mass Storage device with a VFAT partition. To be able to
store files with non-ascii filenames on the partition I would like to be able to
pass the iocharset=cp850 mount option when mounting the device. The simplest way
to do this that I've found ATM is to attach the device, let hal mount it and add
a line to the /etc/fstab, edit the line adding the desired mount option and
remount the device with 'umount /media/usbdisk; mount /media/usbdisk'.

However I would like to be able to have hal do this for me, and was looking into
using the method described in http://tinyurl.com/a53hu

/sbin/blkid identifies the partition as /dev/sdd1: UUID="4354-B26C" TYPE="vfat"
but when I browse the hal tree the volume.uuid field is empty like this (output
from lshal):

volume.uuid = ''  (string)

Version-Release number of selected component (if applicable):
hal-0.5.2-2

How reproducible:
Always

Steps to Reproduce:
1. Attach my device
2. Check the hal tree with hal-device-manager
3. To compare get the output of "/sbin/blkid /dev/sdd1"
  
Actual results:
empty volume.uuid field

Expected results:
volume.uuid field matching the output of /sbin/blkid

Additional info:
uuids for my other volumes, such as RAID and NTFS volumes gets inserted
correctly in the hal tree.
Comment 1 Noa Resare 2005-12-02 05:18:10 EST
A workaround that I use now for the people lurking the bugzilla is to add
iocharset to all vfat partitions. Also I found that iocharset=utf8 works better
than cp850 (actually, iocharset=utf8 for all vfat partitions would be a
reasonable global default for fedora IMHO)

Comment 2 Noa Resare 2005-12-02 05:22:02 EST
Created attachment 121735 [details]
my .fdi file that gives correct non-latin filenames on vfat partitions

To save non-latin characters in vfat filenames correctly, save the attached
file in /usr/share/hal/fdi/policy/20thirdparty (I call mine 10-vfat.fdi),
restart
hald with '/sbin/service haldaemon restart', unmount, detach and re-attach your

device.
Comment 3 Christian Iseli 2007-01-22 06:31:59 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Noa Resare 2007-01-22 06:46:41 EST
The UUID field still turns up blank, however the workaround (always use UTF8
iocharset) seems implemeted as default on FC6. There are other perfectly good
reasons for wanting to have access to the UUID field in hal, so I'm leaving this
one as active
Comment 5 Matthew Miller 2007-04-10 15:39:09 EDT
Fedora Core 4 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.

Note You need to log in before you can comment on or make changes to this bug.